platform :ios, '14.0'

target 'WPR - Wave Players Remote' do
  use_frameworks!
  
  pod 'SnapKit', '5.0.0'
  pod 'Alamofire', '5.2'
  pod 'SwiftSoup', '2.0'
  pod 'RxSwift', '6.0.0'
  pod 'RxCocoa', '6.0.0'
  pod 'SwiftLint', '0.42'
  pod 'SwiftyBeaver', '1.9'
  pod 'RxDataSources', '5.0.0'
  pod 'RealmSwift', '10.1.4'
  pod 'Swinject', '2.7.1'
  pod 'SwiftyJSON', '5.0.1'
  pod 'Moya', '14.0.0'
  pod 'R.swift', '5.4.0'

  def testing_pods
    pod 'Quick', '4.0.0'
    pod 'Nimble', '9.2.0'
  end

  target 'ResourcesTests' do
    inherit! :search_paths
    testing_pods
  end

  target 'DependencyInjectionTests' do
    inherit! :search_paths
    testing_pods
  end

  target 'RemoteTests' do
    inherit! :search_paths
    testing_pods
  end

  target 'ServerManagerTests' do
    inherit! :search_paths
    testing_pods
  end

  target 'SettingsTests' do
    inherit! :search_paths
    testing_pods
  end
end
